"""
Creates binary files from a given csv file

"""

import csv
import struct

# Create dictionary to hold column data for CSV
d = {}
d['revenue'] = []
d['salesvolume'] = []


# Read CSV
input_file = 'data.csv'
dictReader = csv.DictReader(open(input_file))

# Fetch row data into a dictionary
for row in dictReader:
    for key in row:
        d[key].append(row[key])
        
        
        
# For each key(column in CSV) create a binary file
# Create revenue.bin
with open('revenue.bin', 'wb') as outfile:
  for value in d['revenue']:
    value = int(value) # cast to int as CSV reader converts it to string
    binary_value = struct.pack("i", value)
    outfile.write(binary_value)


# Create salesvolume.bin
with open('salesvolume.bin', 'wb') as outfile:
  for value in d['salesvolume']:
    value = int(value) # cast to int as CSV reader converts it to string
    binary_value = struct.pack("i", value)
    outfile.write(binary_value)